<?php

use Illuminate\Support\Facades\Route;
use Psr\Http\Message\ServerRequestInterface;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

require __DIR__ . '/Routes/agn.php';
require __DIR__ . '/Routes/jmcm.php';
require __DIR__ . '/Routes/jpsb.php';
require __DIR__ . '/Routes/rco.php';
require __DIR__ . '/Routes/dof.php';

Route::get('vCat_Prueba', function () {
    return 'Hola';
});

Route::get('/', function () {
    session_start();
    return view('login.index');
});

// ******** Login ****************
Route::get('login', function () {
    return view('login.index');
});


Route::get('logout', 'App\Http\Controllers\AdministradorController@logout');


// ************************

Route::get('listar', 'App\Http\Controllers\AccesoController@index');

// 24 Abr 2017 10:52 código en depuración
Route::get('administrarAgendaUrgencias', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_getViewAgendaUrgencia');
Route::get('EjJava', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_getViewejJava');
Route::post('CentroSalud', 'App\Http\Controllers\Catalogos\VistasController@CentroSalud');
// fin de código en depuración

// Route::get('canvas', function () {
//     return view('root.canvas');
// });

Route::get('canvastable', function () {
    return view('root.canvastable');
});
// -------------------- ------------------ -------------------- //

// ------------- Pruebas de navegación por AJAX --------------- //

Route::post('canvas2', function () {
    return view('root.canvasAjax');
});

Route::post('pruebaAjax1', 'App\Http\Controllers\Catalogos\FormulariosController@getPrueba');

// -------------------- ------------------ -------------------- //

//  CONSULTORIOS  //
Route::get('consultorio/horario', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstConsultoriosHorario');


// END //


//route::get('listar', 'App\Http\Controllers\Auth/AccesoController@index');

// ******** Login ****************
//Route::get('home', function () {
//    return view('usuario_respaldo.index');
//});


// administrar mi cuenta
// agn 07-dic-2016
Route::get('administrar-micuenta_prueba', function () {
    return view('usuario.micuenta_prueba');
});

// administrar mi cuenta
// agn 07-dic-2016
Route::get('administrar-micuenta_prueba2', function () {
    return view('usuario.micuenta_prueba2');
});

// Vistas solo para pruebas
// 07-Dic-2016

Route::post('vCat_Ramas', 'App\Http\Controllers\Catalogos\VistasController@vCat_Ramas');
Route::post('vCat_CentroSalud', 'App\Http\Controllers\Catalogos\VistasController@vCat_CentroSalud');
Route::post('vCat_Consultorios', 'App\Http\Controllers\Catalogos\VistasController@vCat_Consultorios');
Route::post('vCat_Especialidad', 'App\Http\Controllers\Catalogos\VistasController@vCat_Especialidad');

Route::post('vCat_PruebaEnvVariable', 'App\Http\Controllers\Catalogos\VistasController@vCat_Consultorios'); //Esta vista debe ser removida a mediados de Enero de 2017
// No me gusto el siguiente envio de datos al controlador
//Route::get('vCat_Prueba/{Centro_Sal}', 'App\Http\Controllers\Catalogos\VistasController@vCat_Consultorios'); //Revisar el Lunes 19 Dic 2016

Route::get('vCat_Prueba', 'App\Http\Controllers\Catalogos\VistasController@vCat_Consultorios');

Route::post('cs23456', 'App\Http\Controllers\Catalogos\VistasController@vCat_Sexo');


Route::get('catalogo-especialidad', 'App\Http\Controllers\Catalogos\FormulariosController@Especialidades');
Route::post('catalogo-especialidad-addLst', 'App\Http\Controllers\Catalogos\FormulariosController@addEspecialidades');

Route::post('catalogo-rama-addLst', 'App\Http\Controllers\Catalogos\FormulariosController@addRamas');
Route::post('catalogo-getLstEspecialidades', 'App\Http\Controllers\Catalogos\FormulariosController@getLstEspecialidades');
Route::post('catalogo-referenciarEspecialidad', 'App\Http\Controllers\Catalogos\ProcedimientosController@referenciarEspecialidad');
Route::post('catalogo-statusEspecialidad', 'App\Http\Controllers\Catalogos\ProcedimientosController@statusEspecialidad');
Route::post('catalogo-mostrarup_Especialidad', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarup_Especialidad');
Route::post('catalogo-up_Especialidad', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_Especialidad');


Route::post('catalogo-add_Especialidad', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_Especialidad');


// fin de vistas de prueba


Route::get('root-admin-consultorios', function () {
    return view('root.adminconsultorios');
});

Route::get('root-admin-modulos', function () {
    return view('root.adminmodulos');
});

Route::get('home-admin', function () {
    return view('root.index');
});

// ******** Usuario **************

// Nuevas URL

Route::get('root-css-seleccionar', 'App\Http\Controllers\AdministradorController@indexSeleccionarEstilosCSS');


Route::get('accesos', 'App\Http\Controllers\AdministradorController@indexAdministrarAccesosDelFE');


// Nueva URL
//Route::get('home-admin', 'App\Http\Controllers\AdministradorController@homeAdmin');


Route::post('prueba', 'App\Http\Controllers\AdministradorController@up_statusUsuario');

Route::post('login-auth', 'App\Http\Controllers\AdministradorController@login');


Route::post('accesos-AdministrarAccesosDelFE_getLstAccesoFE', 'App\Http\Controllers\AdministradorController@AdministrarAccesosDelFE_getLstAccesoFE');
Route::post('accesos-AdministrarAccesosDelFE_add_AccesoFE', 'App\Http\Controllers\AdministradorController@AdministrarAccesosDelFE_add_AccesoFE');
Route::post('accesos-up_statusAccesoFE', 'App\Http\Controllers\AdministradorController@up_statusAccesoFE');

Route::post('accesos-up_statusAccesoFE', 'App\Http\Controllers\AdministradorController@up_statusAccesoFE');
Route::post('accesos-AdministrarAccesosDelFE_up_AccesoFE', 'App\Http\Controllers\AdministradorController@AdministrarAccesosDelFE_up_AccesoFE');
Route::post('accesos-AdministrarCatalogos_add_ModuloFE', 'App\Http\Controllers\AdministradorController@AdministrarCatalogos_add_ModuloFE');


//====================================  10  de Marzo 2017 - Probando  ====================================
Route::post('accesos-addLst', function () {
    return view('accesos.mostrarAddAccesos');
});
Route::post('accesos-upLst', function () {
    return view('accesos.mostrarEditAccesos');
});

Route::post('accesos-addModuloLst', function () {
    return view('accesos.mostrarAddModuloAccesos');
});


Route::post('root-css-seleccionar-SeleccionarEstilosCSS_getLstEstilosAsignables', 'App\Http\Controllers\AdministradorController@SeleccionarEstilosCSS_getLstEstilosAsignables');
Route::post('root-css-seleccionar-SeleccionarEstilosCSS_set_asignarEstilo', 'App\Http\Controllers\AdministradorController@SeleccionarEstilosCSS_set_asignarEstilo');
Route::post('root-css-seleccionar-SeleccionarEstilosCSS_get_EstiloAsignado', 'App\Http\Controllers\AdministradorController@SeleccionarEstilosCSS_get_EstiloAsignado');


Route::get('registrar', function () {
    return view('login.registro');
});


//Route::get('consultorio', function () {
//    return view('consultorios.listarConsultorios');
//});
Route::get('consultorio', 'App\Http\Controllers\Catalogos\FormulariosController@Consultorios');
Route::post('consultorio-getLstConsultorios', 'App\Http\Controllers\Catalogos\FormulariosController@getLstConsultorios');
Route::post('consultorio-statusConsultorio', 'App\Http\Controllers\Catalogos\ProcedimientosController@statusConsultorio');
Route::post('consultorio-addLst', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarAddConsultorios');
Route::post('consultorio-upLst', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarEditConsultorios');
Route::post('catalogo-up_Consultorio', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_Consultorio');
Route::post('catalogo-add_Consultorio', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_Consultorio');


//Route::post('consultorio-addLst', function () {
//    return view('consultorios.mostrarAddConsultorios');
//});

//Route::post('consultorio-upLst', function () {
//    return view('consultorios.mostrarEditConsultorios');
//});

Route::get('consultorio-AdministrarConsultorios_registraEquipo', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_registraEquipo');
Route::post('consultorio-AdministrarConsultorios_registraEquipoValidar', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_registraEquipoValidar');
Route::post('consultorio-AdministrarConsultorios_getLstConsultorios', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstConsultorios');


// Route::get('Consultorios', 'App\Http\Controllers\Catalogos\FormulariosController@Consultorios');
// Route::post('getLstConsultorios', 'App\Http\Controllers\Catalogos\FormulariosController@getLstConsultorios');
// Route::post('mostrarAddConsultorios', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarAddConsultorio');
// Route::post('statusConsultorios', 'App\Http\Controllers\Catalogos\ProcedimientosController@statusConsultorio');


Route::get('consultorio-modulosdearchivo', 'App\Http\Controllers\Catalogos\FormulariosController@ModulosDeArchivo');
Route::post('consultorio-getLstModulosDeArchivo', 'App\Http\Controllers\Catalogos\FormulariosController@getLstModulosDeArchivo');
Route::get('consultorio-getLstModulosDeArchivo', 'App\Http\Controllers\Catalogos\FormulariosController@getLstModulosDeArchivo');
Route::post('consultorio-mostrarAddModulos', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarAddModulos');
Route::post('consultorio-statusModulosDeArchivo', 'App\Http\Controllers\Catalogos\ProcedimientosController@statusModuloDeArchivo');

Route::post('vCat_Compu', 'App\Http\Controllers\Catalogos\VistasController@vCat_Compu');
Route::post('catalogo-up_ModuloDeArchivo', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_ModuloDeArchivo');
Route::post('catalogo-add_ModuloDeArchivo', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_ModuloDeArchivo');


//Route::post('modulo-addLst', function () {
//    return view('catalogos.mostrarAddModulos');
//});

Route::post('modulo-upLst', function () {
    return view('catalogos.mostrarEditModulos');
});
Route::post('modulo-upLstPrueba', function () {
    return view('catalogos.mostrarEditModulosPrueba');
});


Route::post('consultorio-AdministrarConsultorios_getLstConsultorios', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstConsultorios');


//Route::get('perfiles', function () {
//  return view('perfiles.listarPerfiles');
//});


// Nueva URL
Route::get('perfiles', 'App\Http\Controllers\AdministradorController@indexAdministrarPerfilesDeUsuarioDeFE');



Route::post('perfilesasignar', 'App\Http\Controllers\AdministradorController@perfilesAsignar');
Route::post('perfilesbaja', 'App\Http\Controllers\AdministradorController@perfilesBaja');
Route::post('perfileseditable', 'App\Http\Controllers\AdministradorController@perfilesEditable');
Route::post('perfilesexcluida', 'App\Http\Controllers\AdministradorController@perfilesExcluida');
Route::post('perfilesvisible', 'App\Http\Controllers\AdministradorController@perfilesVisible');

Route::post('perfiles-addLst', function () {
    return view('perfiles.mostrarAddPerfiles');
});
Route::post('perfiles-upLst', function () {
    return view('perfiles.mostrarEditPerfiles');
});
Route::post('perfiles-clonLst', function () {
    return view('perfiles.mostrarClonPerfiles');
});
Route::post('perfiles-PrivilegiosLst', function () {
    return view('perfiles.mostrarPrivilegiosPerfiles');
});
Route::post('perfiles-up_statusPerfilFE', 'App\Http\Controllers\AdministradorController@up_statusPerfilFE');
Route::post('perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstPerfilFE', 'App\Http\Controllers\AdministradorController@AdministrarPerfilesDeUsuarioDeFE_getLstPerfilFE');
Route::post('perfiles-AdministrarPerfilesDeUsuarioDeFE_add_PerfilFE', 'App\Http\Controllers\AdministradorController@AdministrarPerfilesDeUsuarioDeFE_add_PerfilFE');
Route::post('perfiles-AdministrarPerfilesDeUsuarioDeFE_add_ClonPerfilFE', 'App\Http\Controllers\AdministradorController@AdministrarPerfilesDeUsuarioDeFE_add_ClonPerfilFE');

// Omitido temporalmente
// Route::post('perfiles-select', 'App\Http\Controllers\AdministradorController@perfilesselect');
// Route::post('perfiles-select2', 'App\Http\Controllers\AdministradorController@perfilesselect2');


//Route::post('perfiles-prueba', function () {
//  return view('perfiles.mostrarPrivilegiosPerfilesTable');
//});


Route::post('root-admin-perfiles-AdministrarPerfilesDeUsuarioDeFE_up_PerfilFE', 'App\Http\Controllers\AdministradorController@AdministrarPerfilesDeUsuarioDeFE_up_PerfilFE');
Route::post('perfiles-AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE', 'App\Http\Controllers\AdministradorController@AdministrarPerfilesDeUsuarioDeFE_getLstAccesosDePerfilFE');
Route::post('jquery-privilegios', 'App\Http\Controllers\AdministradorController@jqueryprivilegios');

Route::post('jq-adminPerfiles', 'App\Http\Controllers\AdministradorController@jqAdminPerfiles');
Route::post('jq/adminPerfiles2', 'App\Http\Controllers\AdministradorController@jqAdminPerfiles2');
Route::post('jq/estilosCss', 'App\Http\Controllers\AdministradorController@jqEstilosCss');
Route::post('jq/csAdmin', 'App\Http\Controllers\AdministradorController@jq_csAdmin');
Route::post('jquery-post', 'App\Http\Controllers\AdministradorController@jquerypost');

// Seccion en Depuracion 09/03/2017
// Route::get('root-css-cuentas', 'App\Http\Controllers\AdministradorController@indexAdministradoresDeCS');
// Route::post('root-css-cuentas-AdministradoresDeCS_getLstAdministradores', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_getLstAdministradores');
// Route::post('root-css-cuentas-AdministradoresDeCS_add_Usuario', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_add_Usuario');
// Route::post('root-css-cuentas-up_statusUsuario', 'App\Http\Controllers\AdministradorController@up_statusUsuario');
// Route::post('root-css-cuentas-AdministrarCuentasAdministradoresDeCS_up_Usuario', 'App\Http\Controllers\AdministradorController@AdministrarCuentasAdministradoresDeCS_up_Usuario');

// Nuevo 09/03/2017
/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                               Administrar Cuentas de Administradores de CS
/////////////////////////////////////////////////////////////////////////////////////////////////////////
Route::get('cuentas_admin', 'App\Http\Controllers\AdministradorController@indexAdministradoresCS');
Route::post('cuentas_admin-AdministradoresDeCS_getLstAdministradores', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_getLstAdministradores');
Route::post('cuentas_admin-addLst', function () {
    return view('cuentasadministrador.mostrarAddAdmin');
});
Route::post('cuentas_admin-upLst', function () {
    return view('cuentasadministrador.mostrarEditAdmin');
});
Route::post('jq-cuentasAdmin', 'App\Http\Controllers\AdministradorController@jqCuentasAdmin');
Route::post('cuentas_admin-up_statusUsuario', 'App\Http\Controllers\AdministradorController@up_statusUsuario');
Route::post('cuentas_admin-AdministradoresDeCS_add_Usuario', 'App\Http\Controllers\AdministradorController@AdministradoresDeCS_add_Usuario');
Route::post('cuentas_admin-AdministrarCuentasAdministradoresDeCS_up_Usuario', 'App\Http\Controllers\AdministradorController@AdministrarCuentasAdministradoresDeCS_up_Usuario');

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                      Administrar Cuentas de Usuario
/////////////////////////////////////////////////////////////////////////////////////////////////////////
Route::get('usuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_getLstUsuarios', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_getLstUsuarios');
Route::post('usuario-addLst', function () {
    return view('usuario.mostarAddUsuario');
});
Route::post('usuario-upLst', function () {
    return view('usuario.mostarEditUsuario');
});
Route::post('usuario-addkeyLst', function () {
    return view('usuario.mostarAddKeyUsuario');
});
Route::post('usuario-upkeyLst', function () {
    return view('usuario.mostarEditKeyUsuario');
});

Route::post('vCat_CentroSalud_Filtrar', 'App\Http\Controllers\UsuarioController@vCat_CentroSalud_Filtrar');

Route::post('vista-usuario-addServicio', 'App\Http\Controllers\UsuarioController@vista_Admision_agregar_RelServicioPersonal');
Route::post('add-servicio-medico', 'App\Http\Controllers\UsuarioController@Admision_agregar_RelServicioPersonal');
Route::post('remove-servicio-medico', 'App\Http\Controllers\UsuarioController@Admision_estado_RelServicioPersonal');
Route::post('registrar-perfil-personal', 'App\Http\Controllers\UsuarioController@AdministrarPerfilesDeUsuarioDeFE_RegistrarPerfilesAlPersonal');


Route::post('jq-cuentasUsuarios', 'App\Http\Controllers\UsuarioController@jqCuentasUsuarios');
Route::post('usuario-Usuario_up_statusUsuario', 'App\Http\Controllers\UsuarioController@Usuario_up_statusUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_add_claveUsuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_add_claveUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_up_claveUsuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_up_claveUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_up_Usuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_up_Usuario');
Route::post('usuario-AdministrarCuentasDeUsuario_add_Usuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_add_Usuario');

// 16 Ene 2017 . LI Juan Pablo Sáncez Bracamontes . Líneas para depuración de una interfaz en desarrollo adicional para la administración de privilegios de acceso a Consultorios o Módulos de Archivo
Route::post('usuario-AdministrarCuentasDeUsuario_PrivilegiosUsuario', 'App\Http\Controllers\UsuarioController@mostrar_PrivilegiosUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_getLstPrivilegiosUsuario2', 'App\Http\Controllers\UsuarioController@getLstPrivilegiosUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_set_statusPrivilegiosUsuario', 'App\Http\Controllers\UsuarioController@set_statusPrivilegiosUsuario');

Route::post('usuario-AdministrarCuentasDeUsuario_add_PrivilegioUsuarioModulo', 'App\Http\Controllers\UsuarioController@add_PrivilegioUsuarioModulo');
Route::post('usuario-AdministrarCuentasDeUsuario_up_PrivilegioUsuarioModulo', 'App\Http\Controllers\UsuarioController@up_PrivilegioUsuarioModulo');
Route::post('usuario-AdministrarCuentasDeUsuario_add_PrivilegioUsuarioConsultorio', 'App\Http\Controllers\UsuarioController@add_PrivilegioUsuarioConsultorio');
Route::post('usuario-AdministrarCuentasDeUsuario_up_PrivilegioUsuarioConsultorio', 'App\Http\Controllers\UsuarioController@up_PrivilegioUsuarioConsultorio');
// Finde la definición de "Líneas para depuración de una interfaz en desarrollo adicional para la administración de privilegios"

// Seccion en Depuracion 10/03/2017
// Route::get('root-css-agregar', 'App\Http\Controllers\AdministradorController@indexAdministrarEstilosCSS');
// Route::post('root-css-agregar-AdministrarEstilosCSS_getLstEstilos', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_getLstEstilos');
// Route::post('root-css-agregar-AdministrarEstilosCSS_add_Estilo', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_add_Estilo');
// Route::post('root-css-agregar-up_statusEstilo', 'App\Http\Controllers\AdministradorController@up_statusEstilo');
// Route::post('root-css-agregar-AdministrarEstilosCSS_up_Estilo', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_up_Estilo');

// Nuevo 09/03/2017
/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                         Administrar Estilos CSS
/////////////////////////////////////////////////////////////////////////////////////////////////////////
Route::get('administrar_estilos', 'App\Http\Controllers\AdministradorController@indexAdministrarEstilosCSS');
Route::post('administrar_estilos-AdministrarEstilosCSS_getLstEstilos', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_getLstEstilos');
Route::post('administrar_estilos-addLst', function () {
    return view('estilosadministrar.mostrarAddEstilos');
});
Route::post('administrar_estilos-upLst', function () {
    return view('estilosadministrar.mostrarEditEstilos');
});
Route::post('jq-cuentasAdmin', 'App\Http\Controllers\AdministradorController@jqEstilosCss');
Route::post('administrar_estilos-up_statusEstilo', 'App\Http\Controllers\AdministradorController@up_statusEstilo');
Route::post('administrar_estilos-AdministrarEstilosCSS_add_Estilo', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_add_Estilo');
Route::post('administrar_estilos-AdministrarEstilosCSS_up_Estilo', 'App\Http\Controllers\AdministradorController@AdministrarEstilosCSS_up_Estilo');

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                  Cerrar
/////////////////////////////////////////////////////////////////////////////////////////////////////////
Route::post('cerrar', function () {
});


///////////////////////////////////////////////////////////////////////
//      Routes Privilegios   ------> Made By: Aldo Marquez           //
///////////////////////////////////////////////////////////////////////
Route::post('usuario-AdministrarCuentasDeUsuario_getLstPrivilegiosUsuario', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_getLstPrivilegiosUsuario');
Route::post('usuario-AdministrarCuentasDeUsuario_add_Consultorio', 'App\Http\Controllers\UsuarioController@AdministrarCuentasDeUsuario_add_Consultorio');
/////////////////////// END /////////////////////////////////////////

//route::get('listar', 'App\Http\Controllers\AccesoController@index');

// ************************

Route::get('registrar', function () {
    return view('login.registro');
});


/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                         Buscar Pacientes
/////////////////////////////////////////////////////////////////////////////////////////////////////////

Route::get('pacientes', 'App\Http\Controllers\AdministradorController@indexBuscarPaciente');
Route::post('buscarpaciente-nombre', function () {
    return view('buscarpaciente.buscarpacientenombre');
});
Route::post('buscarpaciente-curp', function () {
    return view('buscarpaciente.buscarpacientecurp');
});
Route::post('buscarpaciente-folio', function () {
    return view('buscarpaciente.buscarpacientefolio');
});
Route::post('buscarpaciente-expediente', function () {
    return view('buscarpaciente.buscarpacienteexpediente');
});
Route::post('ajax-buscarpaciente-nombre', 'App\Http\Controllers\AdministradorController@BuscarPaciente_getLstPorNombre');
Route::post('ajax-buscarpaciente-curp', 'App\Http\Controllers\AdministradorController@BuscarPaciente_getLstPorCurp');
Route::post('ajax-buscarpaciente-nexpediente', 'App\Http\Controllers\AdministradorController@BuscarPaciente_getLstPorNExpediente');
Route::post('ajax-buscarpaciente-folio', 'App\Http\Controllers\AdministradorController@BuscarPaciente_getLstPorFolioSPopular');


Route::post('asignarcama-opcirugia', function () {
    return view('BuscarPaciente.asignarcamasa1');
});
Route::post('asignarcama-opcirugia2', function () {
    return view('BuscarPaciente.asignarCamasa12');
});
Route::post('asignarcama-busqueda', function () {
    return view('BuscarPaciente.asignarcamasa2');
});

Route::post('asignarcama-busqueda2', function () {
    return view('buscarpaciente.asignarcamasa22');
});

Route::post('asignar-cama', function () {
    return view('buscarpaciente.reservarcamapaciente');
});

Route::post('ajax-reservar-cama-paciente', 'App\Http\Controllers\AdministradorController@Admision_ReservarCama');
//============================================
Route::get('Agenda_Urgencias', 'App\Http\Controllers\UrgenciasController@indexAgendaUrgencias');

Route::post('agenda_urgencias_ficha', function () {
    return view('urgencias.agendaurgenciasficha');
});
Route::post('agenda_urgencias_listado_contenedor', function () {
    return view('urgencias.agendaurgenciaslistado');
});

Route::post('guardarAgendaUrg', 'App\Http\Controllers\UrgenciasController@Urgencias_AddRegistroCitaUrgencias');

Route::get('agenda_medica_urgencias', 'App\Http\Controllers\AdministradorController@indexAgendaMedica');

Route::post('agenda_medica_urgencias_tbl1', function () {
    return view('urgencias.agendamedicaurgenciastbl1');
});
Route::post('agenda_medica_urgencias_tbl2', function () {
    return view('urgencias.agendamedicaurgenciastbl2');
});
  Route::post('vCat_DiasLaborables', 'App\Http\Controllers\Catalogos\VistasController@vCat_DiasLaborables');
  Route::post('vCat_CentroSalud_clues', 'App\Http\Controllers\Catalogos\VistasController@vCat_CentroSalud_clues');
  Route::post('vCat_CluesAdscripcion', 'App\Http\Controllers\Catalogos\VistasController@vCat_CluesAdscripcion');
  Route::get('referencias', 'App\Http\Controllers\ReferenciasController@indexReferencias');

  Route::post('contenedor_buzon', function () {
    return view('referencias.referenciaBuzon');

});
//============================================


Route::group(['middleware' => 'rol:Root,Admin'], function () {
    //administrar mi cuenta
    Route::get('administrar-cuenta-admin', 'App\Http\Controllers\AdministradorController@AdministrarCuenta_index');
    Route::post('getActualizarCuenta', 'App\Http\Controllers\AdministradorController@getActualizarCuenta');
    Route::post('postActualizarCuentaAdministrador', 'App\Http\Controllers\AdministradorController@AdministrarCuentasAdministradoresDeCS_up_claveAdministrador');

});

Route::group(['middleware' => 'usuario'], function () {
    Route::post('vCat_Municipio', 'App\Http\Controllers\ArchivoController@vCat_Municipios');
    Route::post('vCat_Localidad', 'App\Http\Controllers\ArchivoController@vCat_Localidad');
    Route::post('vCat_CodigosPostales', 'App\Http\Controllers\ArchivoController@vCat_CodigosPostales');
    Route::post('vCat_Asentamientos', 'App\Http\Controllers\ArchivoController@vCat_Asentamientos');

});

Route::group(['middleware' => 'rol:Operador'], function () {
    //administrar mi cuenta
    Route::get('administrar-micuenta', 'App\Http\Controllers\UsuarioController@administrar_micuenta');
    Route::post('administrar-micuenta-form', 'App\Http\Controllers\UsuarioController@administrar_micuenta_form');
    Route::post('administrar-micuenta-upd', 'App\Http\Controllers\UsuarioController@administrar_micuenta_upd');

    //Fabian Sanchez, 22/08/2017, Admision.
    Route::post('Admision_IngresarCama', 'App\Http\Controllers\AdmisionController@Admision_IngresarCama');
    Route::post('Admision_ReservarCama', 'App\Http\Controllers\AdmisionController@Admision_ReservarCama');
    Route::post('Admision_CambiarReservaCama', 'App\Http\Controllers\AdmisionController@Admision_CambiarReservaCama');
    Route::post('Admision_PaseACama', 'App\Http\Controllers\AdmisionController@Admision_PaseACama');
    Route::post('Admision_CancelarReservacionCama', 'App\Http\Controllers\AdmisionController@Admision_CancelarReservacionCama');
    Route::post('Admision_AsignarReservaCama', 'App\Http\Controllers\AdmisionController@Admision_AsignarReservaCama');
    Route::post('Admision_ModificarFechaIngDeCama', 'App\Http\Controllers\AdmisionController@Admision_ModificarFechaIngDeCama');
    Route::post('Admision_AltaCama', 'App\Http\Controllers\AdmisionController@Admision_AltaCama');
    Route::post('modificar_cama', 'App\Http\Controllers\AdmisionController@modificar_cama');
    Route::post('admision/admision_cama', 'App\Http\Controllers\AdmisionController@admision_cama');
    Route::post('admision/admision_fecha', 'App\Http\Controllers\AdmisionController@admision_fecha');
    Route::post('Admision_ListaCamas', 'App\Http\Controllers\AdmisionController@Admision_ListaCamas');
    Route::post('alta_cama', 'App\Http\Controllers\AdmisionController@alta_cama');
    Route::get('alta_cama', 'App\Http\Controllers\AdmisionController@alta_cama');
    Route::post('pasea_cama', 'App\Http\Controllers\AdmisionController@pasea_cama');
    Route::get('admision_pdf/{idadmision}', 'App\Http\Controllers\AdmisionController@ingreso_pdf');
    Route::post('Admision_PacienteExistente', 'App\Http\Controllers\AdmisionController@Admision_PacienteExistente');
    Route::post('mostrarDetalleAdmision', 'App\Http\Controllers\AdmisionController@mostrarDetalle');
    Route::get('bitacora/excel', 'App\Http\Controllers\AdmisionController@bitacora_excel');

    //archivo
    Route::post('Archivo_AddFiliacion', 'App\Http\Controllers\ArchivoController@Archivo_AddFiliacion');
    Route::post('Archivo_UpFiliacion', 'App\Http\Controllers\ArchivoController@Archivo_UpFiliacion');
    Route::post('addNewPaciente_generales', 'App\Http\Controllers\ArchivoController@addNewPaciente_generales');
    Route::post('addNewPaciente_afiliacion', 'App\Http\Controllers\ArchivoController@addNewPaciente_afiliacion');
    Route::post('addNewPaciente_domicilio', 'App\Http\Controllers\ArchivoController@addNewPaciente_domicilio');
    Route::post('archivo/consecutivos', 'App\Http\Controllers\ArchivoController@getConsecutivosFromFolio');
    Route::post('archivo/getPaciente', 'App\Http\Controllers\ArchivoController@getPaciente');
    Route::post('BuscarPaciente_getLstPorClavePac', 'App\Http\Controllers\ArchivoController@BuscarPaciente_getLstPorClavePac');
    Route::get('BuscarPaciente_getLstPorClavePac', 'App\Http\Controllers\ArchivoController@BuscarPaciente_getLstPorClavePac');

    // Archivo > expediente
    Route::get('expedientepd', 'App\Http\Controllers\ArchivoController@expedientePD');
    Route::post('expedientePrestamo', 'App\Http\Controllers\ArchivoController@expedientePrestamo');
    Route::post('expedienteinfo', 'App\Http\Controllers\ArchivoController@PrestamoExpediente_getInfoPaciente');
    Route::post('expedientemovimientos', 'App\Http\Controllers\ArchivoController@PrestamoExpediente_getHistorialMovimientos');
    Route::post('expedienteregmov', 'App\Http\Controllers\ArchivoController@PrestamoExpediente_regMovimiento');
    Route::post('expedientemovimientosbqd', 'App\Http\Controllers\ArchivoController@expedienteMovimientosBqd');

    Route::group(['middleware' => 'perfil'], function () {
        //Tablero principal de admision hospitalaria
        Route::get('admision_tablero', 'App\Http\Controllers\AdmisionController@indexAsignarCamas');
        //Reporte de bitacora diaria de urgencias
        Route::get('rpt_urgencias', 'App\Http\Controllers\AdmisionController@Admision_UrgenciasBitacoraDiaria');
        //Agregar paciente en archivo
        Route::get('addNewPaciente', 'App\Http\Controllers\ArchivoController@addNewPaciente');
        Route::post('addNewPaciente', 'App\Http\Controllers\ArchivoController@addNewPaciente');
        //Editar paciente en archivo
        Route::get('editPaciente', 'App\Http\Controllers\ArchivoController@editPaciente');
        //Archivo
        Route::get('expediente', 'App\Http\Controllers\ArchivoController@indexExpediente');
        //Admision > Reporte General
        Route::get('rpt_General', 'App\Http\Controllers\AdministradorController@indexReporteOcupacionHospital');
    });

});

/////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                     Reporte Ocupacion Hospital
/////////////////////////////////////////////////////////////////////////////////////////////////////////
Route::post('ajax-generar-reporte', 'App\Http\Controllers\AdministradorController@Admision_rptGeneralOcupacionHosp');



Route::group(['middleware' => ['web']], function () {


});

// -------------------- Consultorios y Canvas para Root -------------------- //
// Aldo Marquez
Route::get('getConsultorios', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstConsultorios');
Route::get('getMedicos', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstMedicosConsultorio');

// -------------------- Consultorios -------------------- //
// Aldo Marquez
Route::get('consultorios', 'App\Http\Controllers\AdministradorController@Consultorios');
Route::get('getHoraConsultorios', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstHorariosConsultorio');
Route::post('postMedicoAusente', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_up_statusMedicoAusente');

// -------------------- Canvas -------------------- //
// Aldo Marquez
Route::get('canvas', 'App\Http\Controllers\AdministradorController@Canvas');
Route::get('getHoraConsultoriosCanvas', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstHorariosConsultorioCanvas');

Route::get('pruebaMetodo', 'App\Http\Controllers\AdministradorController@AdministrarConsultorios_getLstHorariosConsultorioCanvas');

// 06 Jul 2017 . Juan Pablo Sanchez bracamontes . Formulario de prueba de conexión
Route::get('PruebaSencilla', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarPruebaSencilla');

// -------------------- CURP -------------------- //
// Aldo Marquez
Route::get('curpModal', 'App\Http\Controllers\CurpController@curpModal');
Route::get('getCurpPorDatos', 'App\Http\Controllers\CurpController@getCurpPorDatos');
Route::post('getCurpPorDatos', 'App\Http\Controllers\CurpController@getCurpPorDatos');
Route::post('getCurpPorDatos', 'App\Http\Controllers\CurpController@getCurpPorDatos');
Route::get('getInfoPorCurp', 'App\Http\Controllers\CurpController@getInfoPorCurp');
Route::post('getInfoPorCurp', 'App\Http\Controllers\CurpController@getInfoPorCurp');


// 12 Mar 2018 . L I Juan Pablo Sanchez Bracamontes
Route::get('catalogo-estatusreferencia', 'App\Http\Controllers\Catalogos\FormulariosController@indexEstatusReferencia');
// 12 Mar 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('getLstEstatusReferencia', 'App\Http\Controllers\Catalogos\FuncionesController@getLstEstatusReferencia');
// 12 Mar 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('up_activoEstatusReferencia', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_activoEstatusReferencia');
// 13 Mar 2018 Victor Manuel González Ventura
Route::post('add_EstatusReferencia', 'App\Http\Controllers\Catalogos\FormulariosController@mostraraddEstatusReferencia');
Route::post('get_EstatusReferencia', 'App\Http\Controllers\Catalogos\FuncionesController@get_EstatusReferencia');
Route::post('up_EstatusReferencia', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_EstatusReferencia');
// 26 Abr 2018
Route::post('addNew_EstatusReferencia', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_EstatusRefencia');
Route::post('mostrarEditEstatusReferencia', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarEditEstatusReferencia');


// 20 Mar 2018 . Víctor Manuel González Ventura
Route::get('centrosdesalud', 'App\Http\Controllers\Catalogos\FormulariosController@indexCentrosDeSaludRePorUMED');
// 20 Mar 2018 . Víctor Manuel González Ventura
Route::post('getLstConfCSRefPorUMED', 'App\Http\Controllers\Catalogos\FuncionesController@getLstConfCSRefPorUMED');
// 20 Mar 2018 . Víctor Manuel González Ventura
Route::post('up_activoConfCSRefPorUMED', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_activoConfCSRefPorUMED');
Route::post('add_ConfCSRefPorUME', 'App\Http\Controllers\Catalogos\FormulariosController@mostraradd_ConfCSRefPorUME');
// 16 Abril 2018 . Víctor Manuel González Ventura
//Route::post('mostrarActualizacionReferenciacionCentroDeSalud', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarActualizacionReferenciacionCentroDeSalud');
//Route::post('get_ConfCSRefPorUMED', 'App\Http\Controllers\Catalogos\FuncionesController@get_ConfCSRefPorUMED');
//Route::post('up_ConfCSRefPorUMED', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_ConfCSRefPorUMED');


// 24 May 2018 . L I Juan Pablo Sanchez Bracamontes
Route::get('solicitareferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitaReferencia');
Route::post('solicitareferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitaReferencia'); // 03 Dic 2018 . Código agregado
Route::get('buzonreferenciahosp', 'App\Http\Controllers\ConsultaExterna\FormulariosController@buzonReferenciaHosp'); 
Route::post('buzonreferenciahosp', 'App\Http\Controllers\ConsultaExterna\FormulariosController@buzonReferenciaHosp'); // 04 Dic 2018 . Código agregado
Route::post('vCat_TipoSolicitud_Referencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoSolicitud_Referencia');

// 24 May 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('ConsultaExterna_getLstReferencias', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstReferencias');
Route::post('vCat_ConfCSRefPorUMED', 'App\Http\Controllers\Catalogos\VistasController@vCat_ConfCSRefPorUMED');
Route::post('vCat_EstatusReferencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_EstatusReferencia');

// 24 May 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('vCat_ConfCSRefPorUMED_porDestino', 'App\Http\Controllers\Catalogos\VistasController@vCat_ConfCSRefPorUMED_porDestino');

// 04 Jun 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('vCat_Derechohabiencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_Derechohabiencia');

// 07 Jun 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('vCat_Entidades', 'App\Http\Controllers\Catalogos\VistasController@vCat_Entidades');
Route::post('vCat_Municipios', 'App\Http\Controllers\Catalogos\VistasController@vCat_Municipios');
Route::post('vCat_Localidades', 'App\Http\Controllers\Catalogos\VistasController@vCat_Localidad');

// 12 Jun 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('vCat_CodigoPostal', 'App\Http\Controllers\Catalogos\VistasController@vCat_CodigosPostales');
Route::post('vCat_TipoAsentamiento', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoAsentamiento');
Route::post('vCat_Asentamiento', 'App\Http\Controllers\Catalogos\VistasController@vCat_Asentamientos');

// 13 Jun 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('vCat_TipoVialidad', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoVialidad');

// 14 Jun 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('archivo/getLstPacientesFull', 'App\Http\Controllers\ArchivoController@getLstPacientesFull');

// 06 Jul 2018 . L I Juan Pablo Sanchez Bracamontes
Route::get('referencia/mostrarAddSolicitudReferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@mostrarAddSolicitudReferencia');

// 10 Jul 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('referencia/AddSolicitudReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@AddSolicitudReferencia');

// 11 Jul 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('referencia/mostrarUpSolicitudReferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@mostrarUpSolicitudReferencia');

// 27 Jul 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('getLstBuscarDiagnostico', 'App\Http\Controllers\Catalogos\FuncionesController@getLstBuscarDiagnostico');
Route::post('referencia/add_DiagnosticoDeReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@add_DiagnosticoDeReferencia');
Route::post('referencia/up_activoDiagnosticoDeReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@up_activoDiagnosticoDeReferencia');

Route::post('referencia/UpdSolicitudReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@UpdSolicitudReferencia');

// 09 Ago 2018 . L I Juan Pablo Sanchez Bracamontes
Route::post('referencia/getLstObservacionesDeReferencia', 'App\Http\Controllers\ConsultaExterna\FuncionesController@getLstObservacionesDeReferencia');

// 22 agosto 2018 Alejandro Generator
Route::post('vCat_Clues', 'App\Http\Controllers\Catalogos\VistasController@vCat_Clues');


// 20 sep 2018 Alejandro Generator
Route::post('vcat_centrosalud_refe', 'App\Http\Controllers\Catalogos\VistasController@vcat_centrosalud_refe');
Route::post('add_CSRefPorUMED', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_CSRefPorUMED');


// 02-oct-2018 (dos de octubre no se olivda)
Route::post('up_activoCSRefPorUMED', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_activoCSRefPorUMED');
Route::post('up_EditarCSRefPorUMED', 'App\Http\Controllers\Catalogos\FormulariosController@mostrarActualizacionReferenciacionCentroDeSalud');

// 04-oct-2018 agn ( actualizar dias en centros de salud referenciables)
Route::post('up_diasCSRefPorUMED', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_diasCSRefPorUMED');

//23 Agosto 2018 Janeth Cuevas
Route::post('referencia/add_ObservacionesDeReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@add_ObservacionesDeReferencia');

//20 Septiembre 2018 Janeth Cuevas
Route::post('referencia/referencia_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@referencia_pdf');

Route::get('referencia/referencia_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@referencia_pdf');

Route::post('referencia/impime_referencia_pdf', 'App\Http\Controllers\ConsultaExterna\FormulariosController@impime_referencia_pdf');


// 15 oct 2018 . AGN
Route::get('catalogo-ServiciosAdmision', 'App\Http\Controllers\Catalogos\FormulariosController@indexCatServiciosAdmision');


// 16 oct 2018 . AGN
Route::get('catalogo-TipoServiciosAdmision', 'App\Http\Controllers\Catalogos\FormulariosController@indexCatTipoServiciosAdmision');
Route::post('getLstCatTipoServicioAdmision', 'App\Http\Controllers\Catalogos\FuncionesController@getLstCatTipoServicioAdmision');
Route::post('add_TipoServiciosAdmision', 'App\Http\Controllers\Catalogos\FormulariosController@addTiposServicios');
Route::post('up_TiposServicios', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_TiposServicios');
Route::post('up_AtualizaTiposServicios', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_AtualizaTiposServicios');
Route::post('up_EditarTiposServicios', 'App\Http\Controllers\Catalogos\FormulariosController@up_EditarTiposServicios');
Route::post('add_NuevoTipoSErvicioAdmision', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_NuevoTipoSErvicioAdmision');

// 27-10-2018. AGN
Route::post('getLstCatServicioAdmision', 'App\Http\Controllers\Catalogos\FuncionesController@getLstCatServicioAdmision');
Route::post('add_ServiciosAdmision', 'App\Http\Controllers\Catalogos\FormulariosController@add_ServiciosAdmision');
Route::post('add_NuevoServicioAdmision', 'App\Http\Controllers\Catalogos\ProcedimientosController@add_NuevoServicioAdmision');
Route::post('up_Servicios', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_Servicios');
Route::post('up_EditarServicios', 'App\Http\Controllers\Catalogos\FormulariosController@up_EditarServicios');
Route::post('up_AtualizaServicios', 'App\Http\Controllers\Catalogos\ProcedimientosController@up_AtualizaServicios');


// 30 Noviembre 2018 Juan Pablo Sánchez
Route::post('vista-usuario-addUsuarioABuzonReferencia', 'App\Http\Controllers\UsuarioController@vista_ConsultaExterna_agregar_UsuarioABuzonReferencia');
Route::post('vCat_TipoBuzon', 'App\Http\Controllers\Catalogos\VistasController@vCat_TipoBuzon');

// 05 Diciembre 2018 Juan Pablo Sánchez
Route::post('vCat_Dificultad', 'App\Http\Controllers\Catalogos\VistasController@vCat_Dificultad');
Route::post('vCat_GradoDeDificultad', 'App\Http\Controllers\Catalogos\VistasController@vCat_GradoDeDificultad');
Route::post('vCat_OrigenDeDificultad', 'App\Http\Controllers\Catalogos\VistasController@vCat_OrigenDeDificultad');

// 17 Diciembre 2018 Juan Pablo Sánchez
Route::post('vCat_Paises', 'App\Http\Controllers\Catalogos\VistasController@vCat_Paises');
Route::post('vCat_Instituciones', 'App\Http\Controllers\Catalogos\VistasController@vCat_Instituciones');
Route::post('vCat_RecursoHumano', 'App\Http\Controllers\Catalogos\VistasController@vCat_RecursoHumano');
Route::post('vCat_ActividadPrincipal', 'App\Http\Controllers\Catalogos\VistasController@vCat_ActividadPrincipal');
Route::post('vCat_AreaTrabajo', 'App\Http\Controllers\Catalogos\VistasController@vCat_AreaTrabajo');
Route::post('vCat_Formacion', 'App\Http\Controllers\Catalogos\VistasController@vCat_Formacion');

// 18 Diciembre 2018 Juan Pablo Sánchez
Route::post('vCat_Jornadas', 'App\Http\Controllers\Catalogos\VistasController@vCat_Jornadas');
Route::post('vCat_ResidenciaMedica', 'App\Http\Controllers\Catalogos\VistasController@vCat_ResidenciaMedica');
Route::post('vCat_AnioResidencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_AnioResidencia');
Route::post('vCat_EspecialidadResidencia', 'App\Http\Controllers\Catalogos\VistasController@vCat_EspecialidadResidencia');
Route::post('vCat_Contratos', 'App\Http\Controllers\Catalogos\VistasController@vCat_Contratos');
Route::post('vCat_Plazas', 'App\Http\Controllers\Catalogos\VistasController@vCat_Plazas');

// 08 enero 2019 AGN
Route::get('cargaarchivoreferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@cargaarchivoreferencia');
Route::post('upload_referencias', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@upload_referencias');


//15 Enero 2019 Janeth Cuevas M
Route::post('referencia/cancelar_SolicitudReferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@cancelar_SolicitudReferencia');

//17 Ene 2019 Janeth Cuevas
Route::post('referencia/add_ComentarioCancelacionReferencia', 'App\Http\Controllers\ConsultaExterna\ProcedimientosController@add_ComentarioCancelacionReferencia');

// 23 enero 2019 AGN
Route::get('solicitaCargaMasivaReferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitaCargaMasivaReferencia');

Route::post('solicitaCargaMasivaReferencia', 'App\Http\Controllers\ConsultaExterna\FormulariosController@solicitaCargaMasivaReferencia'); // 03 Dic 2018 

